$NetBSD$

In glib 2.30 G_UNICODE_COMBINING_MARK became known as
G_UNICODE_SPACING_MARK, and g_unicode_canonical_decomposition was
deprecated in favour of g_unichar_fully_decompose.

--- libedataserver/e-data-server-util.c.orig	2011-04-21 19:35:37.000000000 +0000
+++ libedataserver/e-data-server-util.c
@@ -245,7 +245,12 @@ e_util_utf8_strstrcase (const gchar *hay
 static gunichar
 stripped_char (gunichar ch)
 {
-	gunichar *decomp, retval;
+	gunichar retval;
+#if GLIB_CHECK_VERSION(2,30,0)
+	gunichar decomp[4];
+#else
+	gunichar *decomp;
+#endif
 	GUnicodeType utype;
 	gsize dlen;
 
@@ -255,14 +260,22 @@ stripped_char (gunichar ch)
 	case G_UNICODE_CONTROL:
 	case G_UNICODE_FORMAT:
 	case G_UNICODE_UNASSIGNED:
+#if GLIB_CHECK_VERSION(2,30,0)
+	case G_UNICODE_SPACING_MARK:
+#else
 	case G_UNICODE_COMBINING_MARK:
+#endif
 		/* Ignore those */
 		return 0;
 	default:
 		/* Convert to lowercase, fall through */
 		ch = g_unichar_tolower (ch);
 	case G_UNICODE_LOWERCASE_LETTER:
+#if GLIB_CHECK_VERSION(2,30,0)
+		if ((dlen = g_unichar_fully_decompose(ch, FALSE, decomp, 4))) {
+#else
 		if ((decomp = g_unicode_canonical_decomposition (ch, &dlen))) {
+#endif
 			retval = decomp[0];
 			g_free (decomp);
 			return retval;
